This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 1063112 - Client push in dryRun mode should not invoke CopyTrans
Client push in dryRun mode should not invoke CopyTrans
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven, Component-zanata-client (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.3
Assigned To: Sean Flanigan
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-09 22:24 EST by Sean Flanigan
Modified: 2014-03-20 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140218-0947)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing CopyTrans invoked in dry run mode (112.91 KB, image/png)
2014-02-09 22:24 EST, Sean Flanigan
no flags Details

  None (edit)
Description Sean Flanigan 2014-02-09 22:24:57 EST
Created attachment 861225 [details]
Screenshot showing CopyTrans invoked in dry run mode

Description of problem:
When copyTrans was split out into a separate REST call, we failed to disable copyTrans when the dryRun option is set.  Dry run should skip all mutation operations (local or remote), so copyTrans should be skipped.

Version-Release number of selected component (if applicable):
Probably 3.2, but we should check when the REST call was first split out.

How reproducible:
100%

Steps to Reproduce:
1. push source documents, using the dryRun option
2. observe log messages

Actual results:
"Running Copy Trans for..."

Expected results:
"Skipping Copy Trans for..." (or similar)

Additional info:
Comment 2 Damian Jansen 2014-02-19 01:22:16 EST
Verified at 1bf60cc19d6941929f586c3e8d62390fbb41644d
Comment 3 Sean Flanigan 2014-03-20 01:47:28 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.